.LL 8i
.TH logsrv 8
.SH NAME
logsrv \- monitor log messages

.SH SYNOPSYS
\fBlogsrv\fR [-s] [-f] [-r \fIloghost\fR]

.SH DESCRIPTION
\fBlogsrv\fR(8) binds on \fIlogsrv\fR port (6340) in /etc/services. This can be overriden by
defining \fBPORT\fR environment variable. \fBlogsrv\fR(8) can receive messages
from multiple log message clients like \fBlogclient\fR(1). The log message protocol is simple.
The first line is always the hostname on which the log message client runs and subsequent lines
are log messages. \fBlogsrv\fR(8) receives these messages with the hostname prefixed to each
log message. If \fBlogsrv\fR is run as a server, it writes its pid to /tmp/logsrv.pid.

For each client from which log messages are received, \fBlogsrv\fR creates a status file
named @prefix@/tmp/\fIhostname\fR.status. The directory can be changes by setting \fBSTATUSDIR\fR
environment variable. The status file contains the pid and the bytes accumulated from the client
represented by \fIhostname\fR. The byte position in this status file can be displayed by \fBshowbytes\fR(1).

.SH OPTIONS
.TP
\fB\-s\fR
Run silently. This option does not print the log messages on the screen

.TP
\fB\-f\fR
Run in foreground. This option prevents \fBlogsrv\fR to detach from the terminal and run
in the background. This option is required if you want to run under supervise(8).

.TP
\fB\-r\fR \fIloghost\fR
Apart from writing received log messages to standard out, send the message to a remote RPC
message log server \fBrpclog\fR(8) for secure storage.

.TP
\fB\-n\fR \fIcertfile\fR
A PEM certificate causes logsrv to negotiate TLS encryption with clients.

.SH RETURN VALUE
0 if all steps were successful, non-zero otherwise. If any of the steps fail, a diagnostic
message is printed.

.SH "SEE ALSO"
rpclog(8), incrmesg(1), logclient(1), supervise(8)
